module Paths_HaXml (
	version,
	getBinDir, getLibDir, getDataDir, getLibexecDir,
	getDataFileName
	) where

import Data.Version

version = Version {versionBranch = [1,17], versionTags = []}

bindir     = "/opt/hugs98-sep2006/bin"
libdir     = "/opt/hugs98-sep2006/lib/hugs/packages/HaXml"
datadir    = "/opt/hugs98-sep2006/share/HaXml-1.17"
libexecdir = "/opt/hugs98-sep2006/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = return bindir
getLibDir = return libdir
getDataDir = return datadir
getLibexecDir = return libexecdir

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = return (datadir ++ "/" ++ name)
