module Paths_QuickCheck (
	version,
	getBinDir, getLibDir, getDataDir, getLibexecDir,
	getDataFileName
	) where

import Data.Version

version = Version {versionBranch = [1,0], versionTags = []}

bindir     = "/opt/hugs98-sep2006/bin"
libdir     = "/opt/hugs98-sep2006/lib/hugs/packages/QuickCheck"
datadir    = "/opt/hugs98-sep2006/share/QuickCheck-1.0"
libexecdir = "/opt/hugs98-sep2006/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = return bindir
getLibDir = return libdir
getDataDir = return datadir
getLibexecDir = return libexecdir

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = return (datadir ++ "/" ++ name)
